Subject: [PATCH RFC v1 1/2] documentation/iommu: Add description of Hisilicon System MMU binding

From: [email-masked] (Will Deacon)
Date: Tue, 24 Jun 2014 15:30:51 +0100

On Fri, Jun 20, 2014 at 07:57:03PM +0100, Varun Sethi wrote:
> > > [Sethi Varun-B16395] We should be considering the bus topology i.e.
> > > what if the device is setting behind a bridge? It's possible the
> > > requestor id for the DMA transaction belongs to the bridge. Also, the
> > > iommu group creation should also take in to account the topology.
> > 
> > Yeah, as I mentioned above, this assumes that RequesterID == StreamID.
> > Are you simply alluding to a non-transparent PCI bridge, or do you have
> > something different? For non-transparent bridges, I guess we can re-use
> > the code already in the kernel (VFIO handles this with its groups IIUC)?
> Yes, we can use the API from patch posted by Alex Williamson.
> https://lkml.org/lkml/2014/5/10/129

Thanks for the pointer. Looks like I can register a dummy function (return
0;) as the iterator and I should end up with the RequesterID I want. Then DT
can map that to the StreamID.

Will